Summary: (transparent) IRC proxy with DCC support.
Name: tircproxy
Version: 0.4.3
Release: 1
Copyright: GPL
Group: Networking
Source: tircproxy-0.4.tar.gz

%changelog
%description
This is an IRC proxy server, designed to overcome some of the limitations of
the Linux IP masquerading code.  Features:

	+ Supports DCC SEND, CHAT, RESUME and TSEND.
	+ Supports both transparent and dedicated operation.
	+ Can be run either standalone or via inetd.
	+ Allows the admin to send "MOTD" style messages and/or
	  broadcasts to the user(s).
	+ Can block trojans such as 'script.ini', 'dmsetup.exe', etc.
	+ Access controled by /etc/hosts.allow and /etc/hosts.deny.
	+ Can cooperate with some identd's for non-root operation, or
	  (if root) can change UID/GID according to client's IP addr.
%prep
%setup -c
%build
cd tircproxy-0.4
./configure
make
strip tircproxy

%install
cd tircproxy-0.4
rm -f /usr/sbin/tircproxy
mkdir -p /usr/doc/tircproxy-%{version}
install -s -m 755 -o 0 -g 0 tircproxy /usr/sbin/tircproxy
install -s -m 755 -o 0 -g 0 tircproxy.init /etc/rc.d/init.d/tircproxy.init
install -s -m 644 -o 0 -g 0 CHANGELOG.txt /usr/doc/tircproxy-%{version}/CHANGELOG.txt
install -s -m 644 -o 0 -g 0 BUGS.txt /usr/doc/tircproxy-%{version}/BUGS.txt
install -s -m 644 -o 0 -g 0 README /usr/doc/tircproxy-%{version}/README
install -s -m 644 -o 0 -g 0 tircproxy-%{version}.lsm /usr/doc/tircproxy-%{version}/tircproxy-%{version}.lsm
install -s -m 644 -o 0 -g 0 trojans.html /usr/doc/tircproxy-%{version}/trojans.html

%files
/usr/sbin/tircproxy
/etc/rc.d/init.d/tircproxy.init
/usr/doc/tircproxy-%{version}/
